# Appointment _search

`POST /Appointment/_search`

This resource contains entries with a patient, provider, or location schedule. Each appointment entry contains the status, participants, date/time, and other details. 

For standard FHIR, you can review, retrieve, create, update, or cancel appointment information.

For <u>**360x workflows**</u>, you can update appointment information for a referred patient service or procedure.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### \_search

Query for a patient, provider, or location appointment schedule. [Review tips for appointment searches](https://docs.redoxengine.com/permalink/7H4DiolJgOHpF6dhR2Tuew).

> **Flexible FHIR queries, different query parameters**
>
> FHIR queries are a flexible option with parameters to refine your search. The response returns a bundle of resources, known as a `searchset` bundle type. [Learn about bundles and bundle types](https://docs.redoxengine.com/permalink/23Q1Oku3NdxxvwYnQGJVrg) in our FHIR glossary.
>
> We only note which query parameters are required _if you’re querying a FHIR server directly_. Remember that Redox (i.e., data on demand) isn’t a FHIR server, and your connection may not be either.
>
> _Query parameters will vary between sites._ Work with your connection to find out which query parameters they require for a successful search.

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `identifier` | Array of string | No | One or more external identifiers for the appointment |
| `date` | Array of string | No | The date/time when the appointment starts |
| `practitioner` | Array of string | No | Any practitioner(s) that are participants in the appointment |
| `practitioner.identifier` | Array of string | No | One or more external identifiers for the practitioner |
| `patient` | Array of string | No | Any patient(s) that are participants in the appointment |
| `patient.identifier` | Array of string | No | One or more external identifiers for the patient |
| `location` | Array of string | No | Any location(s) that are participants in the appointment |
| `location.identifier` | Array of string | No | One or more external identifiers for the location |
| `location.name` | Array of string | No | A portion of the location's name or alias. |
| `location.physical-type` | Array of string | No | The location's physical form |
| `location.name-physical-type` | Array of string | No | Specify both name and physical-type at once. This is a Redox-specific parameter. |
| `status` | Array of string | No | The appointment's status |
| `_lastUpdated` | Array of string | No | The date/time the appointment resource was last changed |

## Request example

_Generated from the schema: the values are placeholders, not a real payload._

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Appointment/_search' \
--request POST \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode '_lastUpdated=string' \
--data-urlencode 'identifier=string' \
--data-urlencode 'date=string' \
--data-urlencode 'practitioner=string' \
--data-urlencode 'practitioner.identifier=string' \
--data-urlencode 'patient=string' \
--data-urlencode 'patient.identifier=string' \
--data-urlencode 'location=string' \
--data-urlencode 'location.identifier=string' \
--data-urlencode 'location.name=string' \
--data-urlencode 'location.physical-type=string' \
--data-urlencode 'location.name-physical-type=string' \
--data-urlencode 'status=string'
```

## Responses

### 200

Search results (Bundle)

Response to an Appointment search operation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Bundle |
| `type` | string | Yes | Identifies this bundle as a response to a search. Value: searchset |
| `total` | number | Yes | The total number of matches |
| `entry` | Array of Appointment or Other | No | A resource matching the search criteria or related to a matching resource |
| `entry[] (Appointment).resource` | object | Yes | Information about an upcoming healthcare event |
| `entry[] (Appointment).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Appointment |
| `entry[] (Appointment).resource.status` | string | Yes | The overall status of the Appointment. Each of the participants has their own participation status which indicates their involvement in the process, however this status indicates the shared status. Possible values: proposed, pending, booked, arrived, fulfilled, cancelled, noshow, entered-in-error, checked-in, waitlist |
| `entry[] (Appointment).resource._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Appointment).resource._status.extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Appointment).resource._status.extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `entry[] (Appointment).resource._status.extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (Appointment).resource._status.extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (Appointment).resource._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Appointment).resource._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Appointment).resource._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Appointment).resource._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Appointment).resource._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Appointment).resource._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Appointment).resource._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Appointment).resource._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource._status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource._status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Appointment).resource._status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Appointment).resource._status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource._status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource._status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Appointment).resource._status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Appointment).resource._status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Appointment).resource._status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource._status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource._status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Appointment).resource.participant` | Array of Patient or Practitioner or Location or Other | Yes | List of participants involved in the appointment. |
| `entry[] (Appointment).resource.participant[] (Patient).status` | string | Yes | Participation status of the actor. Value: accepted |
| `entry[] (Appointment).resource.participant[] (Patient).type` | Array of object | No | Role of participant in the appointment. |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource.participant[] (Patient).type[].extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Appointment).resource.participant[] (Patient).actor` | object | No | A Person, Location/HealthcareService or Device that is participating in the appointment. Must be a resource of type `Patient`. |
| `entry[] (Appointment).resource.participant[] (Patient).actor.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Appointment).resource.participant[] (Practitioner).status` | string | Yes | Participation status of the actor. Value: accepted |
| `entry[] (Appointment).resource.participant[] (Practitioner).type` | Array of object | No | Role of participant in the appointment. |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource.participant[] (Practitioner).type[].extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Appointment).resource.participant[] (Practitioner).actor` | object | No | A Person, Location/HealthcareService or Device that is participating in the appointment. Must be a resource of type `Practitioner`. |
| `entry[] (Appointment).resource.participant[] (Practitioner).actor.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Appointment).resource.participant[] (Location).status` | string | Yes | Participation status of the actor. Value: accepted |
| `entry[] (Appointment).resource.participant[] (Location).type` | Array of object | No | Role of participant in the appointment. |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource.participant[] (Location).type[].extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Appointment).resource.participant[] (Location).actor` | object | No | A Person, Location/HealthcareService or Device that is participating in the appointment. Must be a resource of type `Location`. |
| `entry[] (Appointment).resource.participant[] (Location).actor.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Appointment).resource.participant[] (Other).status` | string | Yes | Participation status of the actor. Possible values: accepted, declined, tentative, needs-action |
| `entry[] (Appointment).resource.participant[] (Other).type` | Array of object | No | Role of participant in the appointment. |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource.participant[] (Other).type[].extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Appointment).resource.participant[] (Other).actor` | object | No | A Person, Location/HealthcareService or Device that is participating in the appointment. Must reference one of the following types of resources: - `Patient` - `Practitioner` - `PractitionerRole` - `RelatedPerson` - `Device` - `HealthcareService` - `Location` |
| `entry[] (Appointment).resource.participant[] (Other).actor.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Appointment).resource.id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (Appointment).resource.extension` | Array of oldDateTime or oldVisitNumber or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Appointment).resource.extension[] (oldDateTime).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: https://fhir.redoxengine.com/StructureDefinition/AppointmentOldDateTime |
| `entry[] (Appointment).resource.extension[] (oldDateTime).valueDateTime` | string | No | Value of extension - must be one of a constrained set of the data types (see Extensibility for a list). |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: https://fhir.redoxengine.com/StructureDefinition/AppointmentOldVisitNumber |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier` | object | No | Value of extension - must be one of a constrained set of the data types (see Extensibility for a list). |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.use` | any | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier._use` | object | No | Extensions for use |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier._use.id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier._use.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier._use.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier._use.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier._use.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type` | object | No | A coded type for the identifier that can be used to determine which identifier to use for a specific purpose. |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[].extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[].system` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._system` | object | No | Extensions for system |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._system.id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._system.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[].version` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._version` | object | No | Extensions for version |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._version.id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._version.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._version.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._version.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._version.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[].code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._code` | object | No | Extensions for code |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._code.id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._code.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[].display` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._display` | object | No | Extensions for display |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._display.id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._display.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[].userSelected` | boolean | No | Value of "true" or "false" |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._userSelected` | object | No | Extensions for userSelected |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._userSelected.id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._userSelected.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._userSelected.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._userSelected.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.coding[]._userSelected.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type.text` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type._text` | object | No | Extensions for text |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type._text.id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type._text.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type._text.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type._text.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.type._text.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.system` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier._system` | object | No | Extensions for system |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier._system.id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier._system.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.value` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier._value` | object | No | Extensions for value |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier._value.id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier._value.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier._value.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier._value.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier._value.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.period` | object | No | Time period during which identifier is/was valid for use. |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.period.id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.period.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.period.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.period.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.period.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.period.start` | string | No | A date, date-time or partial date (e.g. just year or year + month).  If hours and minutes are specified, a time zone SHALL be populated. The format is a union of the schema types gYear, gYearMonth, date and dateTime. Seconds must be provided due to schema type constraints but may be zero-filled and may be ignored.                 Dates SHALL be valid dates. |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.period._start` | object | No | Extensions for start |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.period._start.id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.period._start.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.period._start.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.period._start.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.period._start.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.period.end` | string | No | A date, date-time or partial date (e.g. just year or year + month).  If hours and minutes are specified, a time zone SHALL be populated. The format is a union of the schema types gYear, gYearMonth, date and dateTime. Seconds must be provided due to schema type constraints but may be zero-filled and may be ignored.                 Dates SHALL be valid dates. |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.period._end` | object | No | Extensions for end |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.period._end.id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.period._end.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.period._end.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.period._end.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (Appointment).resource.extension[] (oldVisitNumber).valueIdentifier.period._end.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (Appointment).resource.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Appointment).resource.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Appointment).resource.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Appointment).resource.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Appointment).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Appointment).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Appointment).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Appointment).resource.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Appointment).resource.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Appointment).resource.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Appointment).resource.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Appointment).resource.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Appointment).resource.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Appointment).resource.identifier` | Array of object | No | This records identifiers associated with this appointment concern that are defined by business processes and/or used to refer to it when a direct URL reference to the resource itself is not appropriate (e.g. in CDA documents, or in written / printed documentation). |
| `entry[] (Appointment).resource.identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Appointment).resource.identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Appointment).resource.identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Appointment).resource.identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Appointment).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Appointment).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Appointment).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Appointment).resource.identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource.identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Appointment).resource.identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Appointment).resource.identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource.identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Appointment).resource.identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Appointment).resource.identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Appointment).resource.identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Appointment).resource.identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Appointment).resource.identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Appointment).resource.identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (Appointment).resource.identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (Appointment).resource.identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Appointment).resource.cancelationReason` | object | No | The coded reason for the appointment being cancelled. This is often used in reporting/billing/futher processing to determine if further actions are required, or specific fees apply. |
| `entry[] (Appointment).resource.cancelationReason.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Appointment).resource.cancelationReason.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Appointment).resource.cancelationReason.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Appointment).resource.cancelationReason.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Appointment).resource.appointmentType` | object | No | The style of appointment or patient that has been booked in the slot (not service type). |
| `entry[] (Appointment).resource.appointmentType.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Appointment).resource.appointmentType.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Appointment).resource.appointmentType.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Appointment).resource.appointmentType.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Appointment).resource.reasonCode` | Array of object | No | The coded reason that this appointment is being scheduled. This is more clinical than administrative. |
| `entry[] (Appointment).resource.reasonCode[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Appointment).resource.reasonCode[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Appointment).resource.reasonCode[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Appointment).resource.reasonCode[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Appointment).resource.reasonReference` | Array of object | No | Reason the appointment has been scheduled to take place, as specified using information from another resource. When the patient arrives and the encounter begins it may be used as the admission diagnosis. The indication will typically be a Condition (with other resources referenced in the evidence.detail), or a Procedure. Must reference one of the following types of resources: - `Condition` - `Procedure` - `Observation` - `Procedure` |
| `entry[] (Appointment).resource.reasonReference[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Appointment).resource.start` | string | No | Date/Time that the appointment is to take place. |
| `entry[] (Appointment).resource.end` | string | No | Date/Time that the appointment is to conclude. |
| `entry[] (Appointment).resource.minutesDuration` | number | No | Number of minutes that the appointment is to take. This can be less than the duration between the start and end times.  For example, where the actual time of appointment is only an estimate or if a 30 minute appointment is being requested, but any time would work.  Also, if there is, for example, a planned 15 minute break in the middle of a long appointment, the duration may be 15 minutes less than the difference between the start and end. |
| `entry[] (Appointment).search` | object | Yes | Information about the search process that lead to the creation of this entry. |
| `entry[] (Appointment).search.mode` | string | Yes | Identifies the Appointment as matching the search parameters. Value: match |
| `entry[] (Other).search` | object | Yes | Information about the search process that lead to the creation of this entry. |
| `entry[] (Other).search.mode` | string | No | Why this entry is in the result set - whether it's included as a match or because of an _include requirement, or to convey information or warning information about the search process. Possible values: match, include, outcome - why this is in the result set |

_Generated from the schema: the values are placeholders, not a real payload._

```json
{
  "resourceType": "Bundle",
  "type": "searchset",
  "total": 0,
  "entry": [
    {
      "resource": {
        "resourceType": "Appointment",
        "id": "RedoxAppointmentExample",
        "participant": [
          {
            "status": "accepted",
            "actor": {
              "reference": "Patient/RedoxPatientExampleTimothy"
            }
          },
          {
            "status": "accepted",
            "actor": {
              "reference": "Location/RedoxLocationExample"
            }
          }
        ],
        "identifier": [
          {
            "system": "urn:oid:1.2.840.114350.1.13.123.1.7.3.698084.8",
            "value": "321654654"
          }
        ],
        "appointmentType": {
          "coding": [
            {
              "code": "EMERGENCY",
              "system": "http://terminology.hl7.org/CodeSystem/v2-0276",
              "display": "Emergency appointment"
            }
          ]
        },
        "status": "proposed",
        "_status": {
          "extension": [
            {
              "url": "http://hl7.org/fhir/StructureDefinition/originalText",
              "valueString": "Intent"
            }
          ]
        },
        "start": "2012-08-20T05:00:00.000Z",
        "end": "2012-08-20T05:15:00.000Z",
        "minutesDuration": 15,
        "reasonCode": [
          {
            "coding": [
              {
                "code": "99241",
                "system": "http://www.ama-assn.org/go/cpt",
                "display": "Office consultation - 15 minutes"
              }
            ]
          }
        ]
      },
      "search": {
        "mode": "match"
      }
    }
  ]
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
